org.eclipse.actf.model.dom.dombycom

## Interface IFlashNode

All Superinterfaces:
  IEvalTarget, INodeEx, Node

    public interface IFlashNode
    extends INodeEx

IFlashNode interface defines the methods to be implemented by the Flash node objects. It extends the `INodeEx` interface for Flash object.

### Field Summary

Fields
`static short` `FLASH_NODE`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`INodeEx` `getBaseNode()`
`int` `getCurrentFrame()`
`int` `getDepth()`
`IFlashNode[]` `getInnerNodes()`
`IFlashMSAANode` `getMSAA()`
`IFlashNode` `getNodeAtDepth(int depth)`
`IFlashNode` `getNodeFromPath(String path)`
`String` `getTarget()`
`void` `repairFlash()` do the Flash repairing function.
`IFlashNode[]` `translate()` This method is used by the auto translate function.

### Methods inherited from interface org.eclipse.actf.model.dom.dombycom.INodeEx

`analyze, doClick, extractString, getAccessKey, getHeadingLevel, getLinkURI, getLocation, getNth, getStillPictureData, getText, highlight, setFocus, setText, unhighlight`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from interface org.eclipse.actf.util.vocab.IEvalTarget

`getTerms`

### Field Detail

#### FLASH_NODE

    static final short FLASH_NODE

See Also:
  Constant Field Values

### Method Detail

#### getTarget

    String getTarget()

Returns:
  the target path of the Flash object from the root. It might be like a "_level0.hoge.hoge".

#### getNodeFromPath

    IFlashNode getNodeFromPath(String path)

Parameters:
  `path` - the target path to be obtained.
Returns:
  the Flash object specified by the path

#### getNodeAtDepth

    IFlashNode getNodeAtDepth(int depth)

Parameters:
  `depth` - the target depth to be obtained.
Returns:
  the Flash object specified by the depth

#### getInnerNodes

    IFlashNode[] getInnerNodes()

Returns:
  the original child nodes of the Flash node.

#### getDepth

    int getDepth()

Returns:
  the depth of the node.

#### getCurrentFrame

    int getCurrentFrame()

Returns:
  the frame number of the current state.

#### translate

    IFlashNode[] translate()

This method is used by the auto translate function.

Returns:
  the translated nodes.

#### getMSAA

    IFlashMSAANode getMSAA()

Returns:
  the MSAA representation of the Flash element.

#### repairFlash

    void repairFlash()

do the Flash repairing function. (experimental)

#### getBaseNode

    INodeEx getBaseNode()

Returns:
  the root Flash object node.